[pve-devel] Patch for dab as format-patch

Andreas Steinel a.steinel at gmail.com
Thu Apr 14 20:01:50 CEST 2016


>From e18310a44ac11b0de4faefc0e7cabdf6e052a8be Mon Sep 17 00:00:00 2001
From: Andreas Steinel <A.Steinel at gmail.com>
Date: Thu, 14 Apr 2016 19:58:47 +0200
Subject: [PATCH] Fixes missing dependency

If you only install @dab@ you'll end up with this error:

        root at dab-pve-builder:/# dab
        Can't locate UUID.pm in @INC (you may need to install the UUID module)

Installing @libuuid-perl@ will fix it.
---
 control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/control b/control
index 2d733cf..fdd0145 100644
--- a/control
+++ b/control
@@ -3,7 +3,7 @@ Version: @@VERSION@@-@@PKGRELEASE@@
 Section: admin
 Priority: optional
 Architecture: all
-Depends: perl (>= 5.6.0-16), wget, make, binutils, lxc-pve
+Depends: perl (>= 5.6.0-16), wget, make, binutils, lxc-pve, libuuid-perl
 Maintainer: Proxmox Support Team <support at proxmox.com>
 Description: Debian LXC Appliance Builder
  This package contains scripts to automate the creation of LXC
--
2.1.4


More information about the pve-devel mailing list